<template>
  <div class="page__wrapper">
    <div
      v-for="page in totalPages"
      :key="page"
      class="page"
      @click="changePage(page)"
      :class="{'current-page': page === currentPage}"
    >
      {{page}}
    </div>
  </div>
</template>

<script>
export default {
  name: "Pagination",
  props: {
    totalPages: {
      type: Number,
      required: true
    },
    currentPage: {
      type: Number,
      required: true
    }
  },
  methods: {
    changePage(page) {
      this.$emit("update:currentPage", page);
    }
  }
}
</script>

<style scoped>
.page__wrapper {
  display: flex;
  margin-top: 15px;
}
.page {
  border: 1px solid teal;
  padding: 10px;
}
.current-page {
  border: 2px solid black;
}
</style>